Subject: bug#1502: FW: bug#1502: CR/LF Unicode Problem

From: "Henry Lafleur" <[email-masked]>
Date: Sat, 6 Dec 2008 11:27:13 -0600

Eli,

This is a file that is something like what I was describing. I'll get you
the error-causing file on Monday. I created this with Emacs/Linux, so I'm
not sure if it is correct--but on Linux it does not seem to exhibit the
problem (i.e. the CR's appended before all the LF's with Unicode files).

Thanks,

Henry.

On Sat, Dec 6, 2008 at 11:16 AM, Lafleur, Henry <[email-masked]>wrote:

>
>
> Henry Lafleur               |    ,__o
> Project Lead                |  _-\_<,
> Canrig Enterprise Solutions | (*)/'(*)
> Fax:    281-774-5640
> mailto:[email-masked] <[email-masked]>
> http://www.canrig.com/
>
>
>
> -----Original Message-----
> From: Eli Zaretskii [mailto:[email-masked] <[email-masked]>]
> Sent: Sat 12/6/2008 2:02 AM
> To: Lafleur, Henry; [email-masked]
> Cc: [email-masked]
> Subject: Re: bug#1502: CR/LF Unicode Problem
>
> > Date: Fri, 5 Dec 2008 16:33:53 -0600
> > From: "Lafleur, Henry" <[email-masked]>
> > Cc:
> >
> > When I load a Unicode file (UTF-8) where some lines in CR/LF and some
> > lines end in LF, in hexl-mode the CR/LF EOL's appear as CR/CR/LF and the
> > LF EOL's appear as CR/LF. See this thread for more information:
> >
> >
> http://social.msdn.microsoft.com/Forums/en-US/netfxbcl/thread/8ef5b69d-135d-4584-ae1a-1caeb4afc846/#page:1
> >
> > If I save the file in hexl mode, it will save it with the extra CRs,
> > thus modifying the file more than anticipated.
>
> Can you post a shortest example of a file that exhibits this behavior?
> I didn't see it in the thread you were citing; sorry if I missed
> something.
>
>
>   ------------------------------
>
> * CANRIG EMAIL NOTICE - This transmission may be strictly confidential. If
> you are not the intended recipient of this message, you may not disclose,
> print, copy, or disseminate this information. If you have received this in
> error, please reply and notify the sender (only) and delete the message.
> Unauthorized interception of this e-mail is a violation of federal criminal
> law. This communication does not reflect an intention by the sender or the
> sender's principal to conduct a transaction or make any agreement by
> electronic means. Nothing contained in this message or in any attachment
> shall satisfy the requirements for a writing, and nothing contained herein
> shall constitute a contract or electronic signature under the Electronic
> Signatures in Global and National Commerce Act, any version of the Uniform
> Electronic Transactions Act, or any other statute governing electronic
> transactions. *
>